Upgrading to php 8.2

I received an email from my web host Dreamhost suggesting I upgrade to php 8.2.
I am currently using Backlight 3.2.1. Is this version of Backlight compatible with php 8.2?
Thanks, Paul

Hi @pshilling, PHP 8.2 only launched 12 days ago. We will be supporting it in Backlight 5, but have not yet had a chance to run it on PHP 8.2 to test it.

Hi Ben,
Does that mean that you would not expect Backlight 3.2.1 to be compatible with PHP 8.2?
Thanks, Paul

Except in extenuating circumstances, we typically only update the latest version of Backlight for new PHP releases.

As for those extenuating circumstances, I think Backlight 5 has been available for long enough that the window will have closed for any updates being necessary to Backlight 4, and that window is most definitely closed for Backlight 3, which we now consider to be “legacy”.

1 Like

PHP 8.2 causes significant breakages of all Backlight versions. I am working through these, which will require updates to at least 70 source files. As above, these fixes will be restricted to Backlight 5.

1 Like